<?php


		include('../conexion.php');
		
		session_start();
		
		$perajuinv = $_SESSION['perajuinv']; 
		$perajuinv = 1; 
		 
		if($_SESSION['tipo_usu']=='a' or $_SESSION['tipo_usu']=='s' ){
		}else{
			header('location:acceso_denegado.php');
		}




if (!isset($cadena_busqueda)) { $cadena_busqueda=""; } else { $cadena_busqueda=str_replace("",",",$cadena_busqueda); }

if ($cadena_busqueda<>"") {
	$array_cadena_busqueda=split("~",$cadena_busqueda);
	$cdgcli=$array_cadena_busqueda[1];
	$dettras=$array_cadena_busqueda[2];
	$numtras=$array_cadena_busqueda[3];
	//$cboEstados=$array_cadena_busqueda[4];H
	$fechainicio=$array_cadena_busqueda[5];
	$fechafin=$array_cadena_busqueda[6];
} else {
	$cdgcli="";
	$dettras="";
	$numtras="";
	//$cboEstados="";
	$vehpla="";
	$fechafin="";
}

?>
<html>
	<head>
		<title>Facturas</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<link href="../calendario/calendar-blue.css" rel="stylesheet" type="text/css">
        
        <script language="javascript" src="js/jquery-3.1.1.min.js"></script>
		<script src="../jquery/jquery-1.3.2.js" type="text/javascript"></script>
		<script src="../jquery/jquery.maskedinput-1.2.2.js" type="text/javascript"></script>

		
                  
          
		
 	
  
  <script src="..//jquery-maskmoney/src/jquery.maskMoney.js" type="text/javascript"></script>

		<script type="text/JavaScript" language="javascript" src="../calendario/calendar.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/lang/calendar-sp.js"></script>
		<script type="text/JavaScript" language="javascript" src="../calendario/calendar-setup.js"></script>
		<script type="text/javascript" src="../funciones/validar.js"></script>
		
		<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function inicio() {
			document.getElementById("numtras").focus();
			document.getElementById("form_busqueda").submit();
		}
		
		function nuevo_traslado() {
			location.href="nuevo_traslado.php";
		}
		
		function buscar() {
			var cadena;
			cadena=hacer_cadena_busqueda();
			document.getElementById("cadena_busqueda").value=cadena;
			if (document.getElementById("iniciopagina").value=="") {
				document.getElementById("iniciopagina").value=1;
			} else {
				document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			}
			document.getElementById("form_busqueda").submit();
		}
		
		function paginar() {
			document.getElementById("iniciopagina").value=document.getElementById("paginas").value;
			document.getElementById("form_busqueda").submit();
		}
		
		function hacer_cadena_busqueda() {
			//var cdgcli=document.getElementById("cdgcli").value;
			//var dettras=document.getElementById("dettras").value;
			var numtras=document.getElementById("numtras").value;			
			var combobodega=document.getElementById("combobodega").value;
			var combo_bodega2=document.getElementById("combo_bodega2").value;
			//var fechafin=document.getElementById("fechafin").value;
			var cadena="";
			cadena="~"+numtras+"~"+combobodega+"~"+combo_bodega2+"~";
			return cadena;
			}
		
		function limpiar() {
			document.getElementById("form_busqueda").reset();
			buscar();
		}
		
		function abreVentana(){
			miPopup = window.open("ver_clientes2.php","miwin","width=1000,height=380,scrollbars=yes");
			miPopup.focus();
		}
		
		function validarcliente(){
			var codigo=document.getElementById("cdgcli").value;
			miPopup = window.open("comprobarcliente_ini.php?cdgcli="+codigo,"frame_datos","width=700,height=80,scrollbars=yes");
		}	
		
		
		function ceros(obj) {
		  numCeros = '00000'; // pon el nº de ceros que necesites
		  valor = obj.value;
		  valor = numCeros.substring(0,numCeros.length-valor.length)+valor;
		  obj.value = valor; 
		 buscar();
		}
		
		
				
//nombre del primer campo en la secuencia
siguienteCampo = ""
//nombre del formlario
nombreForm = "form_busqueda"

//funcion que gestiona el evento
function TelcaPulsada( e ) {

   if ( window.event != null)				//IE4+
      tecla = window.event.keyCode;
   else if ( e != null ) 				//N4+ o W3C compatibles
      tecla = e.which;
   else
      return;
	
   if (tecla == 13) { 					//se pulso enter
      if ( siguienteCampo == 'fin' ) {			//fin de la secuencia, hace el submit
         alert('Envio del formulario.')			//eliminar este alert para uso normal
         return false					//sustituir por return true para hacer el submit
      } else { 						//da el foco al siguiente campo
         eval('document.' + nombreForm + '.' + siguienteCampo + '.focus()')
         return false
      }
   }
}

document.onkeydown = TelcaPulsada;			//asigna el evento pulsacion tecla a la funcion
if (document.captureEvents)				//netscape es especial: requiere activar la captura del evento
	document.captureEvents(Event.KEYDOWN)
	
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

function verifica_bodegas(){
        //#combo_ruta  : el id del combo de la ruta

      var cdgbodega=document.getElementById("combobodega").value;	
			


       var value = {
        cdgbodega: cdgbodega
		
      };
	

         $(document).ready(function() {
          $.ajax({
          beforeSend: function(){

           },
          url: 'ponebodegas_index.php',
          type: 'POST',
          data: value,
          success: function(data){
		//	alert(data);
				 if(data==0){
					// alert('No existen Placas  para este Cliente');
					 

	
					 $("#combo_bodega2").html('');
			  
	  
					}
				else{
					$("#combo_bodega2").html(data);
					buscar();
					
				//combo_bodega2	comprobar_cambio_por_fecha() ;
		//	setInterval(function() {		
			//comprobar_cambio_por_fecha() ;
			//},500);
					//	 
					
					}
          
           },
           error: function(jqXHR,estado,error){
			   alert(estado,error);


           }
           });
          });
         } 
		</script>
	</head>
	<body  onLoad=" nobackbutton(); inicio()">
		<div id="">
			<div id="zonaVentanas">
				<div align="center">
				  <div id="" class="contenidoFactura">
				<form id="form_busqueda" name="form_busqueda" method="post" action="rejilla.php" target="frame_rejilla">
					<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>					
						<tr>
						  <td width="5%">&nbsp;</td>
						  <td width="15%">&nbsp;</td>
						  <td>&nbsp;</td>
						  <td rowspan="4">&nbsp;</td>
						  <td rowspan="4">&nbsp;</td>
						  <td colspan="2" rowspan="4"><img src="../img/search-b-icon (4).png" width="48" height="48" border="0" onClick="buscar()" onMouseOver="style.cursor=cursor"><img src="../img/Recycle-Full-icon (3).png" width="48" height="48" border="0" onClick="limpiar()" onMouseOver="style.cursor=cursor"></td>
						  <td width="2%">&nbsp;</td>
						  <td width="21%" rowspan="4">
							
				
											    <?php 
						  if ( $perajuinv ==  1 ) { ?>
                	<img src="../img/ajuste_inventario.ico" width="99" height="92" border="0" onClick="nuevo_traslado()" onMouseOver="style.cursor=cursor">
                            <?php } else { ?>
	<img src="../img/ajuste_inventario.ico" width="99" height="92" border="0"  onMouseOver="style.cursor=cursor">
                            <?php 
								} ?>
								
							
							
							</td>
					  </tr>
						<tr>                 
						  <td rowspan="3">&nbsp;</td>
							<td>N. traslado </td>
                  
                            
                            
							<td width="21%"><input id="numtras" type="text" class="cajaPequena" name="numtras" maxlength="15"  onChange="buscar()" value="<?php echo $numtras?>"  onFocus="siguienteCampo ='combotipotraslado';"  autocomplete="off"></td>
							<td rowspan="3">&nbsp;</td>
						</tr>
						<tr>
						  <td>Bodega Origen </td>
						  <td><select id="combobodega" name="combobodega" class="comboGrande"  onFocus="siguienteCampo ='numtras',  nombreForm ='formulario';"   onChange="verifica_bodegas();buscar();" >
						    <option value="" selected>TODAS</option>
						    <?php 
																  
						//$accion="SUMA";										  
						//  if ( $perajuinv ==  1 ) { 
               		  	  	$bodega="SELECT * FROM bodegas ORDER BY cdgbod ASC";
                      
                         //  } else {
		  	  				//$tipo="SELECT * FROM tipo_ajuste WHERE accaju =  '$accion'  ORDER BY cdgtipaju ASC";
                   
							//	} 
								
						    $resultado = $mysqli->query($bodega) ;

							while ($fila = $resultado->fetch_assoc()) { ?>
						    <option value="<?php echo  $fila["cdgbod"]?>"><?php echo  $fila["dscbod"]?></option>
						    <?php 
								} ?>
					      </select></td>
					  </tr>
						<tr>
						  <td>Bodega Destino</td>
						  <td><select    title="PLACA" class='comboGrande'   id='combo_bodega2' name='combo_bodega2'
		  onChange='buscar();'  
		   autocomplete='off' >
						    <option value="">TODAS</option>
					      </select></td>
					  </tr>
					</table>
					<div id="lineaResultado">
                      <table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0>
                        <tr>
                          <td width="34%" align="left">&nbsp;</td>
                          <td width="48%">
                            <input id="totaltraslado"  class="cajaPequena" type="hidden" name="totaltraslado" maxlength="5" readonly>                          </td>
                          <td width="18%" align="right">
                            <input  name="paginas" id="paginas" type="hidden" onChange="paginar()" maxlength="10" readonly>                            </td>
                      </table>
		          </div>
			        <div id="frmResultado">
				<table class="fuente8" width="100%" cellspacing=0 cellpadding=3 border=0 ID="Table1">
						<tr class="cabeceraTabla">
							
							<td width="11%">NUMERO</td>
							<td width="7%">FECHA</td>
							<td width="34%">DETALLE</td>
                            <td width="10%">B.ORIGEN</td>
							<td width="12%">B.DESTINO</td>							
							<td width="10%">ESTADO</td>
							
							<td width="8%">MONTO</td>

							<td width="8%">&nbsp;</td>
						</tr>
				</table>
	</div>
				    <iframe width="100%" height="380" id="frame_rejilla" name="frame_rejilla" frameborder="0">
                    <ilayer width="98%" height="60" id="frame_rejilla" name="frame_rejilla"></ilayer>
				    </iframe>
				    <input type="hidden" id="iniciopagina" name="iniciopagina">
				<input type="hidden" id="cadena_busqueda" name="cadena_busqueda">
			</form>
			  
				<iframe id="frame_datos" name="frame_datos" width="0" height="0" frameborder="0">
					<ilayer width="0" height="0" id="frame_datos" name="frame_datos"></ilayer>
					</iframe>
			  </form>
			 </div>
		  </div>
    </div>
		
	</body>
</html>
